Bug 3527 - [PACKAGE REQUEST] mpv (mplayer and mplayer2 fork)
: [PACKAGE REQUEST] mpv (mplayer and mplayer2 fork)
Status: RESOLVED FIXED
Product: Desktop Features
Classification: ROSA Desktop
Component: All
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-30 19:17 MSK by Nikoli
Modified: 2014-01-19 19:31 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 symbianflo 2014-01-06 22:07:15 MSK
try urpmi mpv
greetings
Comment 2 Denis Silakov 2014-01-09 12:29:21 MSK
Thanks to symbianflo, mpv is now available in contrib repository.

I will close this bug for now, feel free to open new bugs if you face any issues with mpv package.
Comment 3 Nikoli 2014-01-16 10:26:52 MSK
Thanks. Upstream released 0.3.3, mpv-0.3.1-cdda_sector_size.patch is not required anymore.
https://github.com/mpv-player/mpv/releases
Comment 4 symbianflo 2014-01-16 15:54:10 MSK
(In reply to comment #3)
> Thanks. Upstream released 0.3.3, mpv-0.3.1-cdda_sector_size.patch is not
> required anymore.
> https://github.com/mpv-player/mpv/releases

Are there any other bugfix to justify an update?
I'll take a look at it this evening.
Comment 5 Nikoli 2014-01-16 17:01:36 MSK
https://github.com/mpv-player/mpv/commits/release/0.3
$ git log --oneline v0.3.1..v0.3.3|wc -l
57

All these commits are bugfixes. Also one of the oldest mplayer bugs was fixed in 0.3.2:
https://github.com/mpv-player/mpv/commit/5c9a7e24f6a69e5c4087e623fd4004e04020be6b
https://github.com/mpv-player/mpv/issues/324
Comment 6 symbianflo 2014-01-16 22:32:50 MSK
(In reply to comment #5)
> https://github.com/mpv-player/mpv/commits/release/0.3
> $ git log --oneline v0.3.1..v0.3.3|wc -l
> 57
> 
> All these commits are bugfixes. Also one of the oldest mplayer bugs was
> fixed in 0.3.2:
> https://github.com/mpv-player/mpv/commit/
> 5c9a7e24f6a69e5c4087e623fd4004e04020be6b
> https://github.com/mpv-player/mpv/issues/324

ok WIP, I've asked  because "and some more things." did not seems to be 
very important , I would rather keep a old working version,
if they would provide a stable API would be really awesome...
Comment 7 Nikoli 2014-01-16 23:50:33 MSK
> if they would provide a stable API would be really awesome...

What do you mean? mpv does not have any API yet, or were you talking about github?
Comment 8 symbianflo 2014-01-17 01:51:23 MSK
(In reply to comment #7)
> > if they would provide a stable API would be really awesome...
> 
> What do you mean? mpv does not have any API yet, or were you talking about
> github?

I've said <b> a stable API </b>
they keep changing it , means that no mplayer-based GUI  will use mpv for now ..
0.3.3 done, tested with mkv seems fixed.
Comment 9 Nikoli 2014-01-19 19:31:42 MSK
mpv devs renamed several cli options months ago, but they do not rename them anymore, only add new when new features are added. Same with slave protocol. The main problem with smplayer is parsing messages intended for users:
https://github.com/mpv-player/mpv/blob/master/DOCS/man/en/changes.rst#other